from bs4 import BeautifulSoup
from functools import reduce
from typing import Iterable

def cleanHtml(input: str):
    return BeautifulSoup(input, features='lxml').get_text(separator=" ", strip=True)

def combineStrIter(input: Iterable[str], separator: str = " "):
    return reduce(lambda acc, itm: acc + separator + itm, input, "")

def stripLines(input:str):
    return combineStrIter(map(str.strip, input.splitlines())).strip()
