#!/bin/sh
#SBATCH --partition=fat
#SBATCH --mail-type=ALL
#SBATCH --time=2:00:00
#SBATCH --mail-user=02masa1bif@hft-stuttgart.de
#SBATCH --output=%x_%A.log
#SBATCH --cpus-per-task=8
#SBATCH --mem=350gb

# cluster doesnt provide modern glibc variants, so I get a linker error, and I found no easy way to add that other than containers
enroot start -m "${PWD}:/workspace" ubuntu sh <<EOF
cd /workspace
./cluster
EOF