# The model creation and Tests

This repo contains the code that trains on the data created in the other projects and does most of the evaluation of the model.

As such it has multiple entry points.
Model creation and creation of csv files is done on the cluster, plotting etc should be done locally.

## Cluster execution
Code that runs on the cluster should always start in [its single entry point](./cluster_entry.py), and also see the documentation at the top of the file.

To execute the code on the cluster, either use or examine the [appropriate shell script](./cluster_push_and_queue.sh). See the corresponding file in [enem aggregation](../enem_aggregate/execute_cluster.sh) and its [README](../enem_aggregate/README.md) for more details on how this file works.

You will probably want to change `EXEC_DIR` in this shell script if you want to iterate, so that the results are added to a new directory.

The execution directory will contain the code that generated the results as a nice side effect, so you can just refer to the code next to the results if you are no longer sure how those results were generated (if you were clean and always made a new `EXEC_DIR`, otherwise they were overwritten).

# Installation

See Top-Level [README](../README.md)