import sklearn.model_selection as skl_ms
import polars as pl
import numpy as np

LOO = skl_ms.LeaveOneOut()

def split_data_iter(
    data: pl.DataFrame,
): #outdated! -> Iterable[Tuple[pl.DataFrame, pl.DataFrame]]
    idx = pl.Series(name="selection_idxs", values=np.arange(len(data)))

    def split_idx(split_data):
        train_idx, test_idx = split_data
        in_train = idx.is_in(train_idx)
        in_test = idx.is_in(test_idx)
        return (data.filter(in_train), (test_idx, data.filter(in_test)))
    
    return map(
        split_idx, 
        LOO.split(idx),
    )

# def load

if __name__ == "__main__":
    print(list(
        split_data_iter(pl.DataFrame(["A", "B", "C"]))
    ))