# ENEM dataset

This directory contains data for the ENEM dataset.
Please refer to the [official_data README](./official_data/README.md) on how to get the official data and place it in here.
Since the official data only contains the question body in pdf form, which is very difficult for us to use, we thankfully asked and recieved a csv dataset elsewhere that had these texts as plain text (with a bit of tex highlighting.).
This format is described in [its README](./plaintext_questions_and_irt/README.md)

# Official data adjustments and considerations

MOST of the anomalities in the source data were fixed in our code, however some select ones were hard to fix on our end and done so in the source.

Applied fixes (sadly there was no time to check if this is complete):
* CO_ITEM = 58542 has the wrong answer for TX_COR = ROSA. Because I check for this to avoid errors on our end, I fixed that. Youre gonna have to search which year that was in yourself.

Also consider the years we used [see the specific readme](./official_data/README.md#years-aggregated).