# Common Python tools

I've used several Python packages as part of this thesis.
They were separated because they had different purposes and different dependencies.
For example, the exploration of the raw data (including the graphs used in the thesis) was mostly done in one package, having all those scripts in the same package that defines and adjusts the model would make this core reporter larger, while probably not being helpful to most people unless they are working on exactly the same data.
Similarly, extracting data from the moodle exports relies on some libraries that are also not needed in the rest of this project, and are unlikely to be helpful to people who are not working on moodle questions.

But I wanted to reuse some code across these, and copy-paste got out of hand with special versions that were hard for me to distinguish. 
This package now contains a single true version of these, and is imported into the other packages (using poetry with a relative path, and a marker that this library may change).

I won't necessarily release all project data (certainly not my tex files), so not everything in here may be reused in the public project files.

# Installation

See Top-Level [README](../README.md).

As of this writing, this directory doesnt contain anything that gets executed on its own, it only provides common things to the other repos.