"""
DEPRECATED!

This module only remains for reference,
perhaps someone can/wants to do something with the thoughts
"""

import polars as pl
from dataclasses import dataclass
from common_py.utils import UNREACHABLE, deprecated

@dataclass
class IRT():
    a: float
    b: float
    c: float

@deprecated()
def ingestData(path: str):
    csv = pl.scan_csv(path)

    csv: pl.LazyFrame = csv.rename({
        # "column_0": "id",
        "text": "question_and_answer_text",
        "ano": "year",
        "a": "irt_a",
        "b": "irt_b",
        "c": "irt_c",
        "anulada": "annulled",
        # see https://www.brazileducation.info/Tests/Higher-Education-Tests/enem-in-brazil.html
        "area": "topic",
    })
    # Cleanup: remove leading newline, and leading space for following lines
    csv = csv.with_columns(
        pl.col("question_and_answer_text").str.replace_all("^\\n ", "")
    ).with_columns(
        pl.col("question_and_answer_text").str.replace_all("\n ", "\n")
    )
    return csv

@deprecated("this was never done, aggregation was choosen instead, naively one would think less can go wrong there")
def recoverPValues(questionIrtParameters: list[IRT], targetMedianPValue: float):
    """
    There is a non-linear mapping between IRT difficulty and the "p-value" 
    (correctness/ proportion of students that answer a question correct).

    That may lead to issues when using IRT parameters as pretraining target
    and finetuning on "p-value", if the model can not easily account for that non-linearity.

    Thus this method can be used to calibrate IRT questions to a median "p-value",
    effectively we optimize the students ability with the target being that the median of
    all questions equals the target.

    This assumes that the questions given are answered by one group,
    which is unlikely to be correct. But it may be the lesser evil.

    Not sure whether median or mean would be best here.
    """
    UNREACHABLE("""
    TODO if we reach that point in experimentation where we think that this might be helpful,
    actually implement this, using eg https://docs.scipy.org/doc/scipy/tutorial/optimize.html#id50
    IRT is differentiable, so newton approach is an option, we may also initialize student_ability with eg the mean or median of irt_difficulty
    And provide the range of irt_difficulty as range if that helps.
    Until that point we will assume that irt_difficulty as target is alright for pretraining
    """)

if __name__ == "__main__":
    data = ingestData("../raw_data/brasilian/with_corresponding/enem2.csv")
    print(
        # data.collect().describe(),
        # data.head().collect(),
        data
            # .with_columns(
            #     pl.col("question_and_answer_text").str.lengths().alias("textlenght")
            # )
            .select(pl.col("^irt_.$"))
            # .head()
            .collect()
            .describe(),
        # data.select("topic").unique().collect(),
        # .filter(pl.col("area") == pl.col("area").min())
    )