"""
Cluster Entrypoint. 
Ensure that this only refers to dependencies listed in `pyproject.toml/tool.poetry.dependencies` (implicit main group)
As well as `pyproject.toml/tool.poetry.group.containerprovided.dependencies`.
This includes indirect imports!

In particular I dont copy the common_py package on the cluster.

Also note the stuff in comments in the toml file.
"""
from training_enem import enem_training
from training_hft import hft_training

if __name__ == '__main__':
    for seed in [
        1,
        # DEV:
        2,
        3,
    ]:
        # hft_training(seed)
        enem_training(seed)