# HFT Data
The directory containing the raw data of the HFT dataset.
As the dataset is private this is mostly here as reference, with some README.md files explaining how it should look like.

# Files

## `experimental_data_extract.csv`

Refer to the [template](./experimental_data_extract.template.csv).
Explanations of the rows below.

### Row explanations

title: string: Title of the question, corresponds to the name in moodle xml export
#quiz_participants: Natural number: number of participants in the quiz containing this question that generated the `part_total_points`
mean_share_total_points: float in [0,1]: mean share of the total points that can be reached
lecture: string: the module this question corresponds to (you can choose the identifier, be sure to add the lectures in the code thats handling all this.).
retries_allowed: boolean: Whether it was possible to do the quiz this question was asked in multiple times in one go

## `[lecture]` subdirs

Create a subdirectory for each `lecture` referred to in [the experimental_data_extract.csv file above](#experimental_data_extractcsv).
Each subdir must contain a `quiz.moodle.xml` file, which is an xml export from Moodle.

Please refer to the official documentation as well as the reading code in this project, to get an idea how that XML looks like.